# Parallelism 
Consumer is connected to the partition. Having more consumers than partitions doesn't make a sense. 
Consumers are rebalanced automatically if new instance of the consumer is available or died.